Subject: Re: [bug#58382] [PATCH 0/3] guile-netlink: Add support for bonds

From: Julien Lepiller <[email-masked]>
Date: Sun, 9 Oct 2022 15:45:09 +0200

Le Sat,  8 Oct 2022 18:50:43 +0200,
Alexey Abramov via Guix-patches via <[email-masked]> a écrit :

> With these patches, guile-netlink can be used to build bonds.
> bond-type-args function accepts keys that people would be set to bond
> interfaces via 'ip link set'. 'ip link help bond' shows the list of
> all passable settings. Only few of them are implemented right now.
> 
> Master field was also added to 'link-set' in order to bind interfaces
> to their masters in case of bonding.
> 
> Alexey Abramov (3):
>   link: Pass correct attribute and a payload to rename a link
>   link: Allow to bound interfaces to bonds
>   link: Add partial support for bond interfaces
> 
>  ip/link.scm          | 77
> ++++++++++++++++++++++++++++++++++++++++++-- netlink/constant.scm |
> 30 +++++++++++++++++ 2 files changed, 104 insertions(+), 3
> deletions(-)
> 

Thanks, applied to guile-netlink :) I adjusted the commit messages a
bit, and used define-enum for bond mode. I didn't test though, so I
hope it works :)